curl --request PUT \
--url https://api.lendflow.com/api/metadata/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_type": "application",
"model_id": "architecto",
"key": "n",
"content": {
"field": "value"
},
"value": "g",
"lendflow_only": false
}
'import requests
url = "https://api.lendflow.com/api/metadata/{id}"
payload = {
"model_type": "application",
"model_id": "architecto",
"key": "n",
"content": { "field": "value" },
"value": "g",
"lendflow_only": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model_type: 'application',
model_id: 'architecto',
key: 'n',
content: {field: 'value'},
value: 'g',
lendflow_only: false
})
};
fetch('https://api.lendflow.com/api/metadata/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"model_type": "App\\Models\\Application",
"model_id": "cd8155bd-4dcd-4c49-8647-c3c1c0053941",
"key": "intuit_offer_checksum",
"value": "animi",
"content": {
"version": null,
"type": "null",
"value": null
},
"lendflow_only": false,
"created_at": null,
"updated_at": null
}
}Update Metadata
Updates an existing metadata record. The data field accepts any
valid JSON: strings, numbers, booleans, arrays, or objects.
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Path Parameters
The ID of the metadata.
Body
The type of model. Supported: file, application.
file, application "application"
The ID of the model (UUID for applications, integer for files).
"architecto"
Filter by specific metadata key. Must not be greater than 255 characters.
"n"
Freeform data to store. Accepts any valid JSON: string, number, boolean, array, or object.
{ "field": "value" }
The value of the metadata. Must not be greater than 1000 characters.
"g"
If true, only Lendflow employees can view this metadata.
false
Response
Show child attributes
Show child attributes
Was this page helpful?